Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 466546 - x11-libs/libXft-2.3.1-r1 requires masked media-libs/fontconfig[abi_x86_64(-)]
Summary: x11-libs/libXft-2.3.1-r1 requires masked media-libs/fontconfig[abi_x86_64(-)]
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 455074 461916
  Show dependency tree
 
Reported: 2013-04-20 08:51 UTC by Francisco J. Vazquez
Modified: 2013-04-29 14:46 UTC (History)
12 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Francisco J. Vazquez 2013-04-20 08:51:40 UTC
emerge -DuatvN world shows:


  (media-libs/fontconfig-2.10.2::gentoo, ebuild scheduled for merge) conflicts with
    media-libs/fontconfig[abi_x86_64(-)] required by (x11-libs/libXft-2.3.1-r1::gentoo, installed)


An unmasked package depends on masked packages :/. Either mask x11-libs/libXft-2.3.1-r1 or unmask media-libs/fontconfig-2.10.2-r1.

Reproducible: Always
Comment 1 Jeroen Roovers gentoo-dev 2013-04-20 14:22:06 UTC
../cvs/gentoo-x86/x11-libs/libXft $ repoman full 

RepoMan scours the neighborhood...
>>> Creating Manifest for /newaches/gentoo/cvs/gentoo-x86/x11-libs/libXft
  dependency.bad                14
   x11-libs/libXft/libXft-2.3.1-r1.ebuild: DEPEND: ~amd64(default/linux/amd64/13.0) ['media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]', 'media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]']
   x11-libs/libXft/libXft-2.3.1-r1.ebuild: RDEPEND: ~amd64(default/linux/amd64/13.0) ['media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]', 'media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]']
   x11-libs/libXft/libXft-2.3.1-r1.ebuild: DEPEND: ~amd64(default/linux/amd64/13.0/desktop) ['media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]', 'media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]']
   x11-libs/libXft/libXft-2.3.1-r1.ebuild: RDEPEND: ~amd64(default/linux/amd64/13.0/desktop) ['media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]', 'media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]']
   x11-libs/libXft/libXft-2.3.1-r1.ebuild: DEPEND: ~amd64(default/linux/amd64/13.0/desktop/gnome) ['media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]', 'media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]']
   x11-libs/libXft/libXft-2.3.1-r1.ebuild: RDEPEND: ~amd64(default/linux/amd64/13.0/desktop/gnome) ['media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]', 'media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]']
   x11-libs/libXft/libXft-2.3.1-r1.ebuild: DEPEND: ~amd64(default/linux/amd64/13.0/desktop/kde) ['media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]', 'media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]']
   x11-libs/libXft/libXft-2.3.1-r1.ebuild: RDEPEND: ~amd64(default/linux/amd64/13.0/desktop/kde) ['media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]', 'media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]']
   x11-libs/libXft/libXft-2.3.1-r1.ebuild: DEPEND: ~amd64(default/linux/amd64/13.0/developer) ['media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]', 'media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]']
   x11-libs/libXft/libXft-2.3.1-r1.ebuild: RDEPEND: ~amd64(default/linux/amd64/13.0/developer) ['media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]', 'media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]']
   x11-libs/libXft/libXft-2.3.1-r1.ebuild: DEPEND: ~amd64(hardened/linux/amd64) ['media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]', 'media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]']
   x11-libs/libXft/libXft-2.3.1-r1.ebuild: RDEPEND: ~amd64(hardened/linux/amd64) ['media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]', 'media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]']
   x11-libs/libXft/libXft-2.3.1-r1.ebuild: DEPEND: ~amd64(hardened/linux/amd64/selinux) ['media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]', 'media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]']
   x11-libs/libXft/libXft-2.3.1-r1.ebuild: RDEPEND: ~amd64(hardened/linux/amd64/selinux) ['media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]', 'media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]']

Note: use --include-dev (-d) to check dependencies for 'dev' profiles

Please fix these important QA issues first.
RepoMan sez: "Make your QA payment on time and you'll never see the likes of me."
Comment 2 Chí-Thanh Christopher Nguyễn gentoo-dev 2013-04-20 18:16:26 UTC
+  19 Apr 2013; Ben de Groot <yngwin@gentoo.org> package.mask:
+  media-libs/fontconfig non-maintainer ebuild with experimental multilib features
+  masked for further testing
+
Comment 3 Ben de Groot (RETIRED) gentoo-dev 2013-04-21 13:00:55 UTC
The freetype and fontconfig ebuild revisions which have these experimental multilib features were committed without my consent (as maintainer of those packages). I am not willing to support them at this time.
Comment 4 Pacho Ramos gentoo-dev 2013-04-21 13:26:20 UTC
But... is this related with technical reasons or only personal preferences :/
Comment 5 Ben de Groot (RETIRED) gentoo-dev 2013-04-21 13:31:59 UTC
(In reply to comment #4)
> But... is this related with technical reasons or only personal preferences :/

I think it is still too experimental to let loose on the tree. It makes things more complicated, and therefore more fragile; and I am not convinced we need this. And more importantly, it is still controversial, and there is no clear consensus that we want to commit to this multilib approach. It needs more discussion on dev ml first.
Comment 6 Chí-Thanh Christopher Nguyễn gentoo-dev 2013-04-21 13:34:39 UTC
I masked reverse dependencies of multilib fontconfig so that visibility requirements are met.
Comment 7 N. Andrew Walsh 2013-04-22 13:52:33 UTC
I would like to chime in: masking the multilib fontconfig also masks app-emulation/emul-linux-x86-xlibs-20130224-r1 (as it depends on multilib fontconfig). But allowing that to re-mask (I have it listed in package.unmask) subsequently blocks about 40 packages in x11-libs, all of which have been running fine on my system for months.

I suspect this would be a nontrivial downgrade: can this get resolved soon-ish? 

Cheers,
Comment 8 Pacho Ramos gentoo-dev 2013-04-22 17:14:26 UTC
For people wanting to use multilib stuff, I would simply unmask that packages locally
Comment 9 Ulrich Müller gentoo-dev 2013-04-25 06:53:51 UTC
This is not fixed.

It seems to me that all problems would go away if fontconfig was unmasked, instead of masking additional (perfectly working) packages. fontconfig shouldn't have been masked, in the first place.

(In reply to comment #5)
> I think it is still too experimental to let loose on the tree. It makes
> things more complicated, and therefore more fragile; and I am not convinced
> we need this. And more importantly, it is still controversial, and there is
> no clear consensus that we want to commit to this multilib approach. It
> needs more discussion on dev ml first.

I don't see much increase in complexity from fontconfig-2.10.2.ebuild to fontconfig-2.10.2-r1.ebuild. And how should it ever receive testing if we keep it in package.mask?
Comment 10 Chí-Thanh Christopher Nguyễn gentoo-dev 2013-04-25 08:47:53 UTC
This bug is only about broken dependencies, the unmasking and other changes please discuss in bug 455074.
Comment 11 Ben de Groot (RETIRED) gentoo-dev 2013-04-29 09:22:16 UTC
I added my reply at https://bugs.gentoo.org/show_bug.cgi?id=455074#c13
Comment 12 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-04-29 14:46:58 UTC
I've added multilib@ as a dedicated co-maintainer for freetype & fontconfig, and unmasked the packages.